import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
});
async function sendPrivateNote() {
const response = await client.note.create({
chat_id: '91882424xxxx@c.us',
message: 'testing with new note payload',
reply_to: '52643136-1573-4011-ad22-b95ca6ea8e0c',
media: {
type: 'audio',
mimetype: 'audio/wav',
filename: 'beep.wav',
filedata: 'data:audio/wav;base64,UklGRkKAAABXQVZFZm10IBAAAAABAAEAQB8A...'
}
});
console.log(response);
}
sendPrivateNote();curl -X POST \
https://api.periskope.app/v1/note/create \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-H 'x-phone: YOUR_PHONE_NUMBER' \
-d '{
"chat_id": "91882424xxxx@c.us",
"message": "testing with new note payload",
"reply_to": "52643136-1573-4011-ad22-b95ca6ea8e0c",
"media": {
"type": "audio",
"mimetype": "audio/wav",
"filename": "beep.wav",
"filedata": "data:audio/wav;base64,UklGRkKAAABXQVZFZm10IBAAAAABAAEAQB8A..."
}
}'{
"success": true,
"message": "Note created successfully",
"data": {
"message_id": "true_2634e275-ac58-4c85-892d-83882810fc1c_api",
"org_id": "2997dd64-89bf-48d3-9a22-b314fca017e5",
"ack": "3",
"body": "Hello World",
"from_me": true,
"message_type": "chat",
"chat_id": "91882424xxxx@c.us",
"timestamp": "2025-08-18T13:38:37.203+00:00",
"org_phone": "91882424xxxx@c.us",
"performed_by": "api",
"prev_body": null,
"quoted_message_id": "52643136-1573-4011-ad22-b95ca6ea8e0c",
"sender_phone": "91882424xxxx@c.us",
"sent_message_id": "2634e275-ac58-4c85-892d-83882810fc1c",
"updated_at": "2025-08-18T13:38:37.203+00:00",
"is_private_note": true,
"media": {
"mimetype": "audio/wav",
"filename": "beep.wav",
"filedata": "data:audio/wav;base64,UklGRkKAAABXQVZFZm10IBAAAAABAAEAQB8A..."
},
"unique_id": "2634e275-ac58-4c85-892d-83882810fc1c",
"mentioned_ids": [],
"is_deleted": null
}
}Send Private Notes
This endpoint is used to send private notes to a chat.
- A private note is only visible on Periskope and not sent to a chat on WhatsApp.
- When a user is mentioned in body of a private note using
@<email>, a task is automatically created and assigned to that member.
Response
The response is a JSON note object. Refer to the note object here
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
});
async function sendPrivateNote() {
const response = await client.note.create({
chat_id: '91882424xxxx@c.us',
message: 'testing with new note payload',
reply_to: '52643136-1573-4011-ad22-b95ca6ea8e0c',
media: {
type: 'audio',
mimetype: 'audio/wav',
filename: 'beep.wav',
filedata: 'data:audio/wav;base64,UklGRkKAAABXQVZFZm10IBAAAAABAAEAQB8A...'
}
});
console.log(response);
}
sendPrivateNote();curl -X POST \
https://api.periskope.app/v1/note/create \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-H 'x-phone: YOUR_PHONE_NUMBER' \
-d '{
"chat_id": "91882424xxxx@c.us",
"message": "testing with new note payload",
"reply_to": "52643136-1573-4011-ad22-b95ca6ea8e0c",
"media": {
"type": "audio",
"mimetype": "audio/wav",
"filename": "beep.wav",
"filedata": "data:audio/wav;base64,UklGRkKAAABXQVZFZm10IBAAAAABAAEAQB8A..."
}
}'{
"success": true,
"message": "Note created successfully",
"data": {
"message_id": "true_2634e275-ac58-4c85-892d-83882810fc1c_api",
"org_id": "2997dd64-89bf-48d3-9a22-b314fca017e5",
"ack": "3",
"body": "Hello World",
"from_me": true,
"message_type": "chat",
"chat_id": "91882424xxxx@c.us",
"timestamp": "2025-08-18T13:38:37.203+00:00",
"org_phone": "91882424xxxx@c.us",
"performed_by": "api",
"prev_body": null,
"quoted_message_id": "52643136-1573-4011-ad22-b95ca6ea8e0c",
"sender_phone": "91882424xxxx@c.us",
"sent_message_id": "2634e275-ac58-4c85-892d-83882810fc1c",
"updated_at": "2025-08-18T13:38:37.203+00:00",
"is_private_note": true,
"media": {
"mimetype": "audio/wav",
"filename": "beep.wav",
"filedata": "data:audio/wav;base64,UklGRkKAAABXQVZFZm10IBAAAAABAAEAQB8A..."
},
"unique_id": "2634e275-ac58-4c85-892d-83882810fc1c",
"mentioned_ids": [],
"is_deleted": null
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Please provide the number of the phone you want to call with this API in the header. The number must be in country code + number format without any characters or spaces, e.g. 919876543210; Alternatively, provide the phone_id (phone-xxxxxxxxxxxx) in the header
"{{orgPhone}}"
Body
- For groups, enter the chat_id of the group. This will be a string that ends with @g.us
- For 1-1 chats, enter the country_code + number of the recipient e.g. 919537851844@c.us (The @c.us is optional)
"919537851844@c.us"
The text body or caption. You can use basic markdown formatting supported by WhatsApp e.g. * for bold, and _ for italic, etc
Media object containing file information and content
Note: You must specify either filedata or url
Show child attributes
Show child attributes
To reply to a message, add the WA message_id or private note message_id in this field
Response
Text Note / Media Note / Reply Note
The response is a JSON object with the following properties:
success: Status of the requestdata: A object of private note created. Refer to the private note object here
Was this page helpful?